Subject: Re: Linux v2.6.16-rc5

From: Olaf Hering <[email-masked]>
Date: Mon, 6 Mar 2006 23:20:00 +0100

On Mon, Mar 06, Olaf Hering wrote:

>  On Mon, Mar 06, Paul Mackeras wrote:
> 
> > There are also commits from Ben H that change the way we parse
> > addresses from the OF device tree.  If you can bisect a bit further
> > that would be good, although you may strike problems between the 401d
> > and 6237 commits I mentioned above.
> 
> What I have right now is this, which got me in a non-compiling state.
> I will pick the udbg stuff and apply the relevant changes to -git5.

Here is the working vs. non-working thing.
So its the udbg patch. My used .config is attached, use yes '' | make oldconfig
to get it in shape.

--- ../series.conf.good.463ce0e103f419f51b1769111e73fe8bb305d0ec        2006-03-06 22:47:03.040936341 +0100
+++ series.conf 2006-03-06 22:48:50.611294236 +0100
@@ -25,21 +25,28 @@
        patches.suse/suse-ppc-legacy-io.patch
        patches.arch/0022-powerpc-incorrect-rmo_top-handling-in-prom_init.txt
 
+       # buildfix
+       patches.suse/9100b205fdc70b300894954ebebbf2709c5ed525.patch
+
        #kexec32
        patches.suse/3d1229d6ae92ed1994f4411b8493327ef8f4b76f.patch
-       # udbg2
+       # address parsing code2
        patches.suse/d1405b869850982f05c7ec0d3f137ca27588192f.patch
        #serial port2
        patches.suse/463ce0e103f419f51b1769111e73fe8bb305d0ec.patch
-       # buildfix
-       patches.suse/9100b205fdc70b300894954ebebbf2709c5ed525.patch
+
+       #Subject: [PATCH] powerpc: Unify udbg (#2)
+       patches.suse/51d3082fe6e55aecfa17113dbe98077c749f724c.patch
+       #Subject: [PATCH] powerpc: serial port discovery: cope with broken firmware
+       patches.suse/31df1678d7732b94178a6e457ed6666e4431212f.patch
+       #Subject: [PATCH] powerpc: More serial probe fixes (#2)
+       patches.suse/8dacaedf04467e32c50148751a96150e73323cdc.patch
+
 #-     patches.suse/ac448afbcdcc218fd8d177960466ecc4a523722f.patch
 #-     patches.suse/36874579dbf4cafa31486d4207c6807efbbf1378.patch
 #-     patches.suse/575e321606c5673efabf28c0fa075e198980c44e.patch
 #      patches.suse/3b212db9217d02e623eaa12f41c9b5f8c6a99535.patch
 
-#      patches.suse/31df1678d7732b94178a6e457ed6666e4431212f.patch
-#      patches.suse/8dacaedf04467e32c50148751a96150e73323cdc.patch
 #-     patches.suse/d2dd482bc17c3bc240045f80a7c4b4d5cea5e29c.patch
 
 #+rev  patches.suse/bcb05504edf0e27a648aa1059cbb71e8746758a1.patch